# vim: set ft=spec: -*- spec -*-
# $Id: libneXtaw,v 1.5 2003/12/14 22:26:30 raorn Exp $

%def_disable static

%define prefix %_x11dir
%define lname neXtaw

Name: lib%lname
Version: 0.15.1
Release: alt2

Packager: Sir Raorn <raorn@altlinux.ru>

Summary: Modified version of the Athena Widgets with N*XTSTEP appearance
Summary(ru_RU.KOI8-R):   Xaw/Xaw3d    N*XTSTEP
License: MIT
Group: System/Libraries
URL: http://siag.nu/neXtaw/

Source: http://siag.nu/pub/neXtaw/%lname-%version.tar.gz

# Automatically added by buildreq on Thu Jan 16 2003 and filtered by raorn
BuildRequires: XFree86-devel XFree86-libs
%{?_enable_static:BuildPreReq: glibc-devel-static}

%description
This is %lname, a modified version of the Athena Widgets with N*XTSTEP
appearance. It is based on the Xaw3d 1.5 library by Kaleb S. Keithley.

This is not a magic library which will beautify all your apps instantly.
But with some .Xdefaults fiddling you can make Athena applications look
and, sometimes, behave much better.

%description -l ru_RU.KOI8-R
%lname -    Athena Widgets   
N*XTSTEP.    Xaw3d  1.5,  Kaleb S. Keithley.

   ,     ,
     .Xdefaults    Athena
,     ,  .

%package devel
Summary: Header files for %lname library
Group: Development/C
Requires: %name = %version-%release

%description devel
This is %lname, a modified version of the Athena Widgets with N*XTSTEP
appearance. It is based on the Xaw3d 1.5 library by Kaleb S. Keithley.

This is not a magic library which will beautify all your apps instantly.
But with some .Xdefaults fiddling you can make Athena applications look
and, sometimes, behave much better.

The %name-devel package contains the include files needed to develop
programs that use the %lname library.

%if_enabled static
%package devel-static
Summary: Static libraries for %lname library
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This is %lname, a modified version of the Athena Widgets with N*XTSTEP
appearance. It is based on the Xaw3d 1.5 library by Kaleb S. Keithley.

This is not a magic library which will beautify all your apps instantly.
But with some .Xdefaults fiddling you can make Athena applications look
and, sometimes, behave much better.

The %name-devel-static package contains the static library needed to
develop statically linked programs that use the %lname library.
%endif

%prep
%setup -q -n %lname-%version

%build
%{?!_enable_static:export lt_cv_prog_cc_static_works=no}
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix \
	%{subst_enable static}
%make_build

%install
%make_install DESTDIR=%buildroot install

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%doc doc/app-defaults doc/CHANGES doc/FAQ doc/README.XAW3D doc/TODO
%_x11libdir/*.so.*

%files devel
%dir %_x11includedir/X11/%lname
%_x11includedir/X11/%lname/*
%_x11libdir/*.so

%if_enabled static
%files devel-static
%_x11libdir/*.a
%endif

%changelog
* Mon Dec 15 2003 Sir Raorn <raorn@altlinux.ru> 0.15.1-alt2
- devel-static and *.la fixes

* Mon Sep 22 2003 Sir Raorn <raorn@altlinux.ru> 0.15.1-alt1
- [0.15.1]

* Sat Sep 06 2003 Sir Raorn <raorn@altlinux.ru> 0.15.0-alt1
- [0.15.0]
- Some summary/description translation fixes
- Removed patches:
  + alt-SimpleMenu-fixes (merged upstream in 0.14.1 AKA 0.14.0-alt2)

* Sat Apr 26 2003 Sir Raorn <raorn@altlinux.ru> 0.14.0-alt2
- Some cosmetic fixes in SimpleMenu and SmeBSB code

* Fri Feb 28 2003 Sir Raorn <raorn@altlinux.ru> 0.14.0-alt1
- [0.14.0]

* Thu Jan 16 2003 Sir Raorn <raorn@altlinux.ru> 0.13.0-alt1
- [0.13.0]

* Mon Oct 21 2002 Stanislav Ievlev <inger@altlinux.ru> 0.12-alt4
- rebuild with gcc3
- added packager Tag

* Thu Jul 18 2002 Sir Raorn <raorn@altlinux.ru> 0.12-alt3
- Scroll scrollbars with mouse wheel (idea shamelessly stolen
  from vim's gui_at_sb.c)

* Thu Jul 11 2002 Sir Raorn <raorn@altlinux.ru> 0.12-alt2
- Fixed horisontal scroll click near thumb (was shifted
  right for size of two scroll buttons)

* Tue May 28 2002 Sir Raorn <raorn@altlinux.ru> 0.12-alt1
- [0.12]

* Fri Jan 11 2002 Sir Raorn <raorn@altlinux.ru> 0.10-alt2
- dotlib patch removed

* Tue Jan 08 2002 Sir Raorn <raorn@altlinux.ru> 0.10-alt1
- [0.2.10]
- Ghostdance around default prefix

* Sat Dec 22 2001 Sir Raorn <raorn@altlinux.ru> 0.8-alt1
- Built for Sisyphus


